Ruby: cparse_params Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
cparse_params Struct Reference

## Data Fields
VALUE | value_v
VALUE | parser
int | lex_is_iterator
VALUE | lexer
ID | lexmid
VALUE | action_table
VALUE | action_check
VALUE | action_default
VALUE | action_pointer
VALUE | goto_table
VALUE | goto_check
VALUE | goto_default
VALUE | goto_pointer
long | nt_base
VALUE | reduce_table
VALUE | token_table
VALUE | state
long | curstate
VALUE | vstack
VALUE | tstack
VALUE | t
long | shift_n
long | reduce_n
long | ruleno
long | errstatus
long | nerr
int | use_result_var
VALUE | retval
long | fin
int | debug
int | sys_debug
long | i

## Detailed Description

Definition at line 137 of file cparse.c.

## Field Documentation

## ◆ action_check

VALUE cparse_params::action_check

Definition at line 150 of file cparse.c.

## ◆ action_default

VALUE cparse_params::action_default

Definition at line 151 of file cparse.c.

## ◆ action_pointer

VALUE cparse_params::action_pointer

Definition at line 152 of file cparse.c.

## ◆ action_table

VALUE cparse_params::action_table

Definition at line 149 of file cparse.c.

## ◆ curstate

long cparse_params::curstate

Definition at line 165 of file cparse.c.

## ◆ debug

int cparse_params::debug

Definition at line 184 of file cparse.c.

## ◆ errstatus

long cparse_params::errstatus

Definition at line 173 of file cparse.c.

## ◆ fin

long cparse_params::fin

Definition at line 179 of file cparse.c.

## ◆ goto_check

VALUE cparse_params::goto_check

Definition at line 155 of file cparse.c.

## ◆ goto_default

VALUE cparse_params::goto_default

Definition at line 156 of file cparse.c.

## ◆ goto_pointer

VALUE cparse_params::goto_pointer

Definition at line 157 of file cparse.c.

## ◆ goto_table

VALUE cparse_params::goto_table

Definition at line 154 of file cparse.c.

## ◆ i

long cparse_params::i

Definition at line 187 of file cparse.c.

## ◆ lex_is_iterator

int cparse_params::lex_is_iterator

Definition at line 142 of file cparse.c.

## ◆ lexer

VALUE cparse_params::lexer

Definition at line 143 of file cparse.c.

## ◆ lexmid

ID cparse_params::lexmid

Definition at line 144 of file cparse.c.

## ◆ nerr

long cparse_params::nerr

Definition at line 174 of file cparse.c.

## ◆ nt_base

long cparse_params::nt_base

Definition at line 159 of file cparse.c.

## ◆ parser

VALUE cparse_params::parser

Definition at line 140 of file cparse.c.

## ◆ reduce_n

long cparse_params::reduce_n

Definition at line 170 of file cparse.c.

## ◆ reduce_table

VALUE cparse_params::reduce_table

Definition at line 160 of file cparse.c.

## ◆ retval

VALUE cparse_params::retval

Definition at line 178 of file cparse.c.

## ◆ ruleno

long cparse_params::ruleno

Definition at line 171 of file cparse.c.

## ◆ shift_n

long cparse_params::shift_n

Definition at line 169 of file cparse.c.

## ◆ state

VALUE cparse_params::state

Definition at line 164 of file cparse.c.

## ◆ sys_debug

int cparse_params::sys_debug

Definition at line 185 of file cparse.c.

## ◆ t

VALUE cparse_params::t

Definition at line 168 of file cparse.c.

## ◆ token_table

VALUE cparse_params::token_table

Definition at line 161 of file cparse.c.

## ◆ tstack

VALUE cparse_params::tstack

Definition at line 167 of file cparse.c.

## ◆ use_result_var

int cparse_params::use_result_var

Definition at line 176 of file cparse.c.

## ◆ value_v

VALUE cparse_params::value_v

Definition at line 138 of file cparse.c.

## ◆ vstack

VALUE cparse_params::vstack

Definition at line 166 of file cparse.c.

The documentation for this struct was generated from the following file:

- ext/racc/cparse/cparse.c